//This JSON was modified by AgentMindStorm (@agentms_). Please do not use this document without permission.
{
  "format_version": "1.8.0",
  "animations": {
    "animation.iron_golem.attack": {
      "loop": true,
      "bones": {
        "arm0": {
          "rotation": [ "math.lerp(this,-120 + ((1.5 * math.abs(math.mod(variable.attack_animation_tick - query.frame_alpha, 10) - 5) - 2.5) / 5) * 120.0,math.clamp(variable.attack_animation_tick,0,1))", 0.0, 0.0 ]
        },
        "arm1": {
          "rotation": [ "math.lerp(this,-120 + ((1.5 * math.abs(math.mod(variable.attack_animation_tick - query.frame_alpha, 10) - 5) - 2.5) / 5) * 120.0,math.clamp(variable.attack_animation_tick,0,1))", 0.0, 0.0 ]
        }
      }
    },
    "animation.iron_golem.move": {
      "loop": true,
      "bones": {
        "arm0": {
          "rotation": [ "math.lerp(0,((math.abs(math.mod(0.5 * query.modified_distance_moved, 13) - 6.5) - 3.25) / 2.25) * 35.0,math.clamp(query.modified_move_speed,0,1))", 0.0, 0.0 ]
        },
        "arm1": {
          "rotation": [ "math.lerp(0,((math.abs(math.mod(0.5 * query.modified_distance_moved, 13) - 6.5) - 3.25) / 2.25) * -35.0,math.clamp(query.modified_move_speed,0,1))", 0.0, 0.0 ]
        }
      }
    },
    "animation.iron_golem.walk": {
      "loop": true,
      "bones": {
        "body": {
          "rotation": [ 0.0, 0.0, "2.0 * (math.abs(math.mod(0.5 * query.modified_distance_moved + 6, 13.0) - 6.5) - 3.25)" ]
        },
        "head": {
          "rotation": [ 0.0, 0.0, "2.0 * (math.abs(math.mod(0.5 * query.modified_distance_moved + 6, 13.0) - 6.5) - 3.25)" ]
        },
        "leg0": {
          "rotation": [ "math.lerp(0,((math.abs(math.mod(0.5 * query.modified_distance_moved, 13) - 6.5) - 3.25) / 2.25) * -30.0,math.clamp(query.modified_move_speed * 4,0,1))", 0.0, 0.0 ]
        },
        "leg1": {
          "rotation": [ "math.lerp(0,((math.abs(math.mod(0.5 * query.modified_distance_moved, 13) - 6.5) - 3.25) / 2.25) * 30.0,math.clamp(query.modified_move_speed * 4,0,1))", 0.0, 0.0 ]
        }
      }
    }
  }
}
